Do I need to buy a newer R4 now?

Discussion in 'R4 DS' started by fortgeorge, Mar 3, 2014.

  1. fortgeorge
    OP

    fortgeorge Newbie

    Newcomer
    1
    Mar 2, 2014
    United States
    My DSi was updated to 1.4.5 by "someone" and now my R4i SDHC Revolution(R4i.cn) doesn't work, I just get the error that asks me to power it off.

    It seems like the firmware only goes to 1.4.3 according to the download list here: http://r4i.cn/download-en.htm The top one says 1.4.3.

    Are there any other firmwares for it? I have access to a DS Lite that hasn't been updated since like 2009 or before.

    Any help is appreciated!
     
  2. Sicklyboy

    Sicklyboy ~I have crippling depression~

    Global Moderator
    13
    Jul 15, 2009
    United States
    [̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]
  3. fortgeorge
    OP

    fortgeorge Newbie

    Newcomer
    1
    Mar 2, 2014
    United States
    Dang, that sucks. Thanks for the quick reply!
     
  4. JakeFe

    JakeFe Member

    Newcomer
    1
    Sep 6, 2013
    United States
  5. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    7
    Oct 22, 2011
    Gambia, The
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice